# Namespace: metadata

## metadata

Namespace for working with DICOM Metadata.

Source:
  - dicom-microscopy-viewer.js, line 90

### Classes

Comprehensive3DSR
MicroscopyBulkSimpleAnnotations
ParametricMap
Segmentation
SOPClass
VLWholeSlideMicroscopyImage

### Methods

#### (static) formatMetadata(metadata) → {Object}

Format DICOM metadata structured according to the DICOM JSON model. Transforms the DICOM JSON representation into a more human friendly representation, where values of data elements can be directly accessed via their keyword (e.g., "SOPInstanceUID"). Bulkdata elements will be extracted and returned as a separate mapping.

##### Parameters:

Name | Type | Description
--- | --- | ---
`metadata` | Object | Metadata structured according to the DICOM JSON model

Source:
  - metadata.js, line 271

##### Returns:

Formatted dataset and remaining bulkdata

Type
  Object

#### (static) groupColorInstances(images) → {Object}

Group DICOM metadata of color images slides by Optical Path Identifier.

##### Parameters:

Name | Type | Description
--- | --- | ---
`images` | Array.<metadata.VLWholeSlideMicroscopyImage> | DICOM VL Whole Slide Microscopy Image instances.

Source:
  - metadata.js, line 387

##### Returns:

Groups of DICOM VL Whole Slide Microscopy Image instances

Type
  Object

#### (static) groupMonochromeInstances(images) → {Object}

Group DICOM metadata of monochrome slides by Optical Path Identifier.

##### Parameters:

Name | Type | Description
--- | --- | ---
`images` | Array.<metadata.VLWholeSlideMicroscopyImage> | DICOM VL Whole Slide Microscopy Image instances.

Source:
  - metadata.js, line 357

##### Returns:

Groups of DICOM VL Whole Slide Microscopy Image instances

Type
  Object